package nsdb.LocationPackage;
public final class LocationNode_u
	implements org.omg.CORBA.portable.IDLEntity
{
	private int discriminator;
	private nsdb.LocationPackage.LocOperator operator;
	private type.Fuzzy gap;
	private java.lang.String physical;
	private nsdb.LocationPackage.LocVirtualSegment virtual;
	public LocationNode_u()
	{
	}

	public int discriminator()
	{
		return discriminator;
	}

	public nsdb.LocationPackage.LocOperator operator()
	{
		if( discriminator != 4)
			throw new org.omg.CORBA.BAD_OPERATION();
		return operator;
	}

	public void operator( nsdb.LocationPackage.LocOperator _x )
	{
		discriminator = 4;
		operator = _x;
	}

	public type.Fuzzy gap()
	{
		if( discriminator != 3)
			throw new org.omg.CORBA.BAD_OPERATION();
		return gap;
	}

	public void gap( type.Fuzzy _x )
	{
		discriminator = 3;
		gap = _x;
	}

	public java.lang.String physical()
	{
		if( discriminator != 2)
			throw new org.omg.CORBA.BAD_OPERATION();
		return physical;
	}

	public void physical( java.lang.String _x )
	{
		discriminator = 2;
		physical = _x;
	}

	public nsdb.LocationPackage.LocVirtualSegment virtual()
	{
		if( discriminator != 1)
			throw new org.omg.CORBA.BAD_OPERATION();
		return virtual;
	}

	public void virtual( nsdb.LocationPackage.LocVirtualSegment _x )
	{
		discriminator = 1;
		virtual = _x;
	}

	public void __default()
	{
		discriminator = 0;
	}
	public void __default( int _discriminator )
	{
		discriminator = _discriminator;
	}
}
